## guile-3.0 3.0.10+really3.0.9

=== debian/changelog ===
guile-3.0 (3.0.10+really3.0.9-1) unstable; urgency=medium

  * Downgrade to 3.0.9-1 for now.  Guile 3.0.10 appears to have an
    unresolved problem with 32-bit architectures.  Thanks to Paul Gevers
    for reporting the problem. (Closes: 1077930)

  * debian/rules: set PACKAGE_PACKAGER_VERSION to DEB_VERSION.  Drop
    vestigial deb_src_rev and deb_src_src_rev.

  * debian/rules: get upstream_ver via pkg-info DEB_VERSION_UPSTREAM.
    Drop vestigial deb_src_ver.

  * debian/rules: get DEB_HOST_MULTIARCH via pkg-info architecture.mk.

  * debian/rules: get DEB_TARGET_ARCH via pkg-info architecture.mk.

  * debian/rules: check alternatives constraint via .SHELLSTATUS.

  * debian/rules: force deb_alt_priority to 3010 during downgrade.

  * Get upstream_version from GUILE-VERSION not debian/changelog.  Drop
    $(shout ...) etc., now that everything's been migrated to
    .SHELLSTATUS.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 31 Aug 2024 17:08:23 -0500
