=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Provides: libguile-dev (= ${binary:Version})
 Conflicts: guile-1.8, libguile-dev (<< 2.2.7+1-4), guile-3.0-dev (<< 3.0.1+1-2)
 Depends: ${shlibs:Depends}, guile-3.0:any (= ${binary:Version}),
- guile-3.0-libs (= ${binary:Version}), libc-dev,
+ guile-3.0-libs (= ${binary:Version}), libc6-dev,
  libncurses-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
  pkgconf, ${misc:Depends}
 Description: Development files for Guile 3.0
@@ -47,7 +47,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: dpkg (>= 1.15.4), ${misc:Depends}
+Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Description: Documentation for Guile 3.0
  This package contains the Guile documentation, including the Guile
  Reference Manual.
