## guile-3.0 3.0.10+really3.0.10

=== debian/changelog ===
guile-3.0 (3.0.10+really3.0.10-5) unstable; urgency=medium

  * debian/rules: just always try df -h.  Instead of avoiding df -h on
    hurd-*, just try it everywhere ignoring failures.  The previous filter
    wasn't quite right, and it turns out, wasn't appropriate anyway.  It
    looks like the issue is with the buildd's environment, not hurd-* in
    general.

  * debian/rules: compile with -std=gnu17 for GCC 15.  Guile's not yet
    compatible with C23, now the default in GCC 15, so for the time being,
    explicitly restore the GCC 14 default with -std=gnu17.  Thanks to
    Matthias Klose for reporting the problem. (Closes: 1096788)

  * Remove debian/source/lintian-overrides.in.  Lintan considers the
    existence of that path to be an error, so remove it and just generate
    the corresponding lintian-overrides content directly.

  * debian/control: add explicit libcrypt-dev Build-Depends.  Thanks to
    Helmut Grohne for reporting the issue. (Closes: 1106980, 1102911)

  * guile-libs.lintian-overrides: add missing brackets.

  * debian/rules: compile with -ffat-lto-objects to avoid over-stripping.
    Without that, dh_strip leaves libguile-3.0.a with no code sections:
    https://lintian.debian.org/tags/no-code-sections.html

  * Fix in-tree cross-compilation builds.  Add
    0025-build-Fix-in-tree-cross-compilation-build.patch to address the
    issue. (Closes: 1102606)

  * debian/copyright: refresh.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 15 Sep 2025 21:54:56 -0500

guile-3.0 (3.0.10+really3.0.10-4) unstable; urgency=medium

  * debian/rules: avoid df -h on hurd-* (include amd64).

  * guile-libs.lintian-overrides: match guile-procedures.txt arch via *.
    Replace @MARCH@ with * to avoid multi-arch conflicts.  Thanks to
    Helmut Grohne for reporting the issue. (Closes: 1095251)

  * debian/rules: given kernel fix; re-enable threads on alpha.  This will
    require rebuilding all of the reverse dependencies.
    cf. 1b4313b4f309cdc87a79a994cf426d3edf5bc876 Thanks to John Paul
    Adrian Glaubitz for reporting the issue.  (Closes: 1095880)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 16 Feb 2025 13:31:41 -0600

guile-3.0 (3.0.10+really3.0.10-3) unstable; urgency=medium

  * debian/rules: avoid hurd-i386 df -h; it doesn't work there.

  * debian/rules: include timestamp in "still going" messages.  Helps give
    some idea how quickly we're making progress on slower hosts.

  * Don't crash when printing a port's name in some environments.  Since
    ttyname() can return ENODEV in some environments, don't thrown an
    exception, just include the integer descriptor instead.  Add
    0024-fport_print-handle-ttyname-ENODEV.patch to address the issue.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 17 Jan 2025 13:35:15 -0600

guile-3.0 (3.0.10+really3.0.10-2) experimental; urgency=medium

  * debian/rules: report df -h to help with test failure diagnosis.  Run
    df -h so the filesystem types will be in the output, to help when
    reasoning about test failures, e.g. ports.test.

  * Add debian/bin/path-fs to help with fs-sensitive tests.  This will be
    used to avoid running the ports.test seek data/hole tests on
    filesystems that might not support the expected semantics.  Taken with
    the author's permission (mine), from bup.

  * Add upstream patch guarding ports seek data/hole tests to debian.  The
    upstream patch only omits the tests on darwin, but we'll extend it to
    omit the tests unless the filesystem is one we know should have the
    expected semantics.  Add
    0022-tests-Skip-hole-related-port-tests-on-Darwin.patch to include the
    relevant changes.

  * Skip ports.test seek tests unless filesystem looks suitable.  Add
    0023-Skip-ports.test-seek-tests-unless-filesystem-looks-s.patch to
    address the issue.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 15 Jan 2025 13:05:41 -0600

guile-3.0 (3.0.10+really3.0.10-1) experimental; urgency=medium

  * debian/rules: check alternatives constraint via .SHELLSTATUS.

  * Get upstream_version from GUILE-VERSION not debian/changelog.  This
    matters whenever we have to downgrade via DEBIAN+reallyUPSTREAM.

  * Fix 3.0.10 32-bit support and i386 math.
    Add these upstream patches to address the issues:
      0008-test-hashing-support-32-bit.patch
      0009-More-thorough-lowering-of-lognot-to-CPS.patch
      0010-Fix-intset-fold-right-on-transient-intsets.patch
      0011-Add-a-workaround-for-pre-3.0.10-incorrect-inlinable-.patch
      0012-Remove-needless-constraints-in-type-range-analysis.patch
      0013-Narrow-parameter-of-logand-immediate-if-no-bits-used.patch
      0014-Partially-revert-d579848cb5d65440af5afd9c89686286655.patch
      0015-Fix-fixpoint-needed-bits-computation-in-specialize-n.patch
      0016-Fix-boxing-of-non-fixnum-negative-u64-values.patch
      0017-Tighten-up-range-inference-for-scm-u64-truncate.patch
      0018-Run-sigbits-fixpoint-based-on-use-def-graph-not-cfg.patch
      0019-Compile-with-fexcess-precision-standard-for-i-3456-8.patch
      0020-Eight-byte-align-statically-allocated-stringbufs.patch

  * debian/rules: rely on .DELETE_ON_ERROR:.

  * Move source lintian-overrides to preferred debian/source/ location.

  * guile-libs.lintian-overrides: remove unused ccache/*.go overrides.

  * guile-libs.lintian-overrides: override warning about procedures.txt.

  * Mark repl-server inter-protocol attack test as unresolved.  It can
    fail intermittently when the write-request fails during parallel test
    runs (at least).  Add
    0021-Mark-inter-protocol-attack-test-unresolved-if-write-.patch to
    address the issue.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 14 Jan 2025 16:27:59 -0600
