=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: interpreters
 Priority: optional
 Maintainer: Rob Browning <rlb@defaultvalue.org>
-Build-Depends: libtool, debhelper-compat (= 10), autoconf, automake,
- gperf,
- guile-3.0:native <cross>,
- libncurses-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
- libunistring-dev, libgc-dev, libffi-dev, pkgconf
+Build-Depends: autoconf, automake, debhelper-compat (= 10), flex, gperf,
+ guile-3.0:native <cross>, libcrypt-dev, libffi-dev, libgc-dev,
+ libgmp-dev, libltdl-dev, libncurses-dev, libreadline-dev, libtool,
+ libunistring-dev, pkgconf, texinfo
 Standards-Version: 3.7.2
 Homepage: http://www.gnu.org/software/guile/
 
@@ -30,10 +29,11 @@
 Architecture: any
 Provides: libguile-dev (= ${binary:Version})
 Conflicts: guile-1.8, libguile-dev (<< 2.2.7+1-4), guile-3.0-dev (<< 3.0.1+1-2)
-Depends: ${shlibs:Depends}, guile-3.0:any (= ${binary:Version}),
- guile-3.0-libs (= ${binary:Version}), libc6-dev,
- libncurses-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
- pkgconf, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ guile-3.0-libs (= ${binary:Version}),
+ guile-3.0:any (= ${binary:Version}),
+ libc-dev, libcrypt-dev, libgc-dev, libgmp-dev, libltdl-dev,
+ libncurses-dev, libreadline6-dev, pkgconf
 Description: Development files for Guile 3.0
  This package contains files needed for development using Guile 3.0.
  .
@@ -47,7 +47,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: dpkg (>= 1.15.4), ${misc:Depends}
 Description: Documentation for Guile 3.0
  This package contains the Guile documentation, including the Guile
  Reference Manual.
