=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,17 @@
 #   Adjust debian/.gitignore.
 #   Fix deb_alt_priority below.
 
+.DELETE_ON_ERROR:
+
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildopts.mk
 include /usr/share/dpkg/pkg-info.mk
 
 SHELL := /bin/bash
 
-pf := set -o pipefail
+# Escape content for single-quoted expansions like '$(foo)'
+esc = $(subst ','\'',$(1))
+# This quote unconfuses emacs makefile-gmake-mode: '
 
 # Make sure the build process doesn't touch the real HOME.
 export HOME := $(CURDIR)/debian/no-trespassing
@@ -27,6 +31,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE := 1
 
+# Get the version from GUILE-VERSION to handle any +really downgrades.
 upstream_ver != debian/upstream-version
 ifneq (0,$(.SHELLSTATUS))
   $(error debian/upstream-version exit status $(.SHELLSTATUS))
@@ -47,7 +52,7 @@
 # Up to and including some releases of 2.0.11, this was (incorrectly)
 # majminmic (i.e. 2011 for 2.0.11).  As of 3.0, we switched to this,
 # i.e. 3.0 -> 3000, 3.1 -> 3001, 3.2 -> 3002, etc.
-deb_alt_priority := 3010
+deb_alt_priority := $(deb_src_maj_ver)$(shell printf "%03d" $(deb_src_min_ver))
 
 ifneq ($(DEB_HOST_MULTIARCH),)
   march = $(DEB_HOST_MULTIARCH)/
@@ -58,21 +63,15 @@
 ifneq (,$(filter $(DEB_TARGET_ARCH),armel armhf x32))
   deb_config_args += --enable-jit=no
 endif
-ifneq (,$(filter $(DEB_TARGET_ARCH),alpha))
-  deb_config_args += --without-threads
-endif
 
 export DEB_CFLAGS_MAINT_APPEND := \
   -DPACKAGE_PACKAGER='"Debian"' \
   -DPACKAGE_PACKAGER_VERSION='"$(DEB_VERSION)"' \
   -DPACKAGE_PACKAGER_BUG_REPORTS='"http://www.debian.org/Bugs/Reporting"'
 
-# https://debbugs.gnu.org/29464
 export DEB_CFLAGS_MAINT_APPEND += -fno-stack-protector
-
-define checkdir
-  dh_testdir debian/guile.postinst
-endef
+export DEB_CFLAGS_MAINT_APPEND += -std=gnu17
+export DEB_CFLAGS_MAINT_APPEND += -flto -ffat-lto-objects
 
 %:
 	dh $@
@@ -86,18 +85,18 @@
 	@echo " deb_src_min_ver:" $(deb_src_min_ver)
 	@echo " deb_src_mic_ver:" $(deb_src_mic_ver)
 	@echo "deb_alt_priority:" $(deb_alt_priority)
+	@echo "           march:" $(march)
 
 # For now, assumes there are no "|" characters in the expansions.
 debian/autogen.sed: debian/rules debian/changelog
-	echo "s|@UPSTREAM_VER@|$(upstream_ver)|g" > "$@.tmp"
-	echo "s|@DEB_SRC_MAJ_VER@|$(deb_src_maj_ver)|g" >> "$@.tmp"
-	echo "s|@DEB_SRC_MIN_VER@|$(deb_src_min_ver)|g" >> "$@.tmp"
-	echo "s|@DEB_SRC_MIC_VER@|$(deb_src_mic_ver)|g" >> "$@.tmp"
-	echo "s|@DEB_SRC_EFF_VER@|$(deb_src_eff_ver)|g" >> "$@.tmp"
-	echo "s|@DEB_PKG_BASENAME@|$(deb_pkg_basename)|g" >> "$@.tmp"
-	echo "s|@DEB_ALT_PRIORITY@|$(deb_alt_priority)|g" >> "$@.tmp"
-	echo "s|@MARCH@|$(march)|g" >> "$@.tmp"
-	mv "$@.tmp" "$@"
+	echo "s|@UPSTREAM_VER@|$(upstream_ver)|g" > $@
+	echo "s|@DEB_SRC_MAJ_VER@|$(deb_src_maj_ver)|g" >> $@
+	echo "s|@DEB_SRC_MIN_VER@|$(deb_src_min_ver)|g" >> $@
+	echo "s|@DEB_SRC_MIC_VER@|$(deb_src_mic_ver)|g" >> $@
+	echo "s|@DEB_SRC_EFF_VER@|$(deb_src_eff_ver)|g" >> $@
+	echo "s|@DEB_PKG_BASENAME@|$(deb_pkg_basename)|g" >> $@
+	echo "s|@DEB_ALT_PRIORITY@|$(deb_alt_priority)|g" >> $@
+	echo "s|@MARCH@|$(march)|g" >> $@
 
 autogen_install_files := $(addprefix debian/, \
   guile-$(deb_src_eff_ver).install \
@@ -121,32 +120,30 @@
   guile-$(deb_src_eff_ver)-libs.prerm \
   guile-$(deb_src_eff_ver)-libs.triggers)
 
-debian/source/lintian-overrides: debian/source-lintian-overrides.in debian/autogen.sed
-	sed -f debian/autogen.sed "$<" > "$@.tmp"
-	mv "$@.tmp" "$@"
+debian/source/lintian-overrides: debian/rules debian/changelog
+	printf '%s source: missing-field-in-dep5-copyright\n' \
+	  '$(call esc,$(deb_pkg_basename))' > $@
+
 debian/guile-$(deb_src_eff_ver).%: debian/guile.% debian/autogen.sed
-	sed -f debian/autogen.sed "$<" > "$@.tmp"
-	mv "$@.tmp" "$@"
+	sed -f debian/autogen.sed "$<" > $@
 debian/guile-$(deb_src_eff_ver)-dev.%: debian/guile-dev.% debian/autogen.sed
-	sed -f debian/autogen.sed "$<" > "$@.tmp"
-	mv "$@.tmp" "$@"
+	sed -f debian/autogen.sed "$<" > $@
 debian/guile-$(deb_src_eff_ver)-doc.%: debian/guile-doc.% debian/autogen.sed
-	sed -f debian/autogen.sed "$<" > "$@.tmp"
-	mv "$@.tmp" "$@"
+	sed -f debian/autogen.sed "$<" > $@
 debian/guile-$(deb_src_eff_ver)-libs.%: debian/guile-libs.% debian/autogen.sed
-	sed -f debian/autogen.sed "$<" > "$@.tmp"
-	mv "$@.tmp" "$@"
+	sed -f debian/autogen.sed "$<" > $@
 
 debian/guile-$(deb_src_eff_ver)-doc.postinst:
 	DEB_PKG_BASENAME="$(deb_pkg_basename)" \
 	DEB_INFO_SUBDIR="$(deb_pkg_basename)" \
 	DEB_ALT_PRIORITY="$(deb_alt_priority)" \
 	  debian/guile-doc.postinst.gen $(addprefix doc/ref/,$(expected_info)) \
-	    > "$@".tmp
-	mv "$@.tmp" "$@"
+	    > $@
 
 override_dh_testdir: debian/source/lintian-overrides
-	$(checkdir)
+        # See what we have (relevant to tests like ports.test)
+	df -h || true # df didn't work on some hurd buildds
+	dh_testdir debian/guile.postinst
 
 override_dh_autoreconf:
 	echo '$(upstream_ver)' > .version
@@ -163,7 +160,7 @@
 # architectures.
 override_dh_auto_build:
 	timeout 10h bash \
-	  -c 'while true; do echo "still going" 1>&2; sleep 600; done' & \
+	  -c 'while true; do printf "still going %(%F %T)T\n" 1>&2; sleep 600; done' & \
 	trap "kill $$!" EXIT \
 	&& $(MAKE) -j "$(joblimit)"
 
@@ -228,9 +225,3 @@
 	dh_install -a
 	dh_missing -a --fail-missing \
 	  -Xusr/lib/$(march)guile/$(deb_src_eff_ver)/extensions/guile-readline.a \
-	  -Xusr/lib/$(march)guile/$(deb_src_eff_ver)/extensions/guile-readline.la
-	test -e $(gdb_ext)
-	mkdir -p $(gdb_ext_dir)
-	mv $(gdb_ext) $(gdb_ext_dir)
-
-override_dh_install-indep: $(autogen_install_files)
