=== debian/changelog ===
guile-3.0 (3.0.11-2) unstable; urgency=medium

  * debian/rules: disable the riscv64 JIT for now; risv64 support was
    added in 3.0.11, but it's causing (at least) the guile-fibers tests to
    segfault.  Thanks to Paul Gevers for reporting the problem.
    (Closes: 1125508)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 03 Feb 2026 13:30:07 -0600

guile-3.0 (3.0.11-1) unstable; urgency=medium

  * Upgrade to 3.0.11.

  * Update debian/changelog version for 3.0.11.

  * Update debian/copyright for 3.0.11.

  * Add basic autopkgtest.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 12 Dec 2025 21:20:26 -0600

guile-3.0 (3.0.10+really3.0.10-6) unstable; urgency=medium

  * Fix s390x build by being more persistent in the fluid gc test.  Add
    0026-fluids.test-be-more-determined-when-checking-fluid-g.patch to fix
    the problem.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 16 Sep 2025 12:14:56 -0500
