=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,8 @@
   march =
 endif
 
-ifneq (,$(filter $(DEB_TARGET_ARCH),armel armhf x32))
+# riscv64: https://bugs.debian.org/1125508
+ifneq (,$(filter $(DEB_TARGET_ARCH),armel armhf riscv64 x32))
   deb_config_args += --enable-jit=no
 endif
